> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugc.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Automation Runs

> List automation runs across templates

## Endpoint

```bash theme={null}
POST https://api.ugc.inc/automations/list-all-runs
```

## Request Body

<ParamField body="limit" type="number">
  Maximum number of runs to return.
</ParamField>

<ParamField body="reviewStatus" type="'pending_review' | 'approved' | 'rejected' | 'all'">
  Optional review status filter.
</ParamField>

<ParamField body="templateId" type="string">
  Optional template filter.
</ParamField>

<ParamField body="cursor" type="string">
  ISO timestamp cursor for pagination. Use the `created_at` value of the last run from the previous page.
</ParamField>

## Response

<ResponseField name="data.runs" type="Array<{ run: AutomationRun; templateName: string; nodeCount: number; completedNodeCount: number }>">
  Runs with template metadata.
</ResponseField>

<ResponseField name="data.hasMore" type="boolean">
  Whether more runs are available after this page.
</ResponseField>

## TypeScript

```typescript theme={null}
// First page
const res = await client.automations.listAllRuns({ limit: 20 });

// Next page
const nextRes = await client.automations.listAllRuns({
  limit: 20,
  cursor: res.data.runs[res.data.runs.length - 1].run.created_at,
});
```
